Bug 56502 - neat doesnt allow changes on network devices from dhcpd to static
neat doesnt allow changes on network devices from dhcpd to static
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-19 22:11 EST by Thomas Ploss
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-19 22:11:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Ploss 2001-11-19 22:11:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
HI,

multiple errors/problems found with neat, espacially also in combination
with better working netconfig tools like netconfig

szenario: fresh installation, with selected ip-adress via dhcp
trying to change it to a static one with need of netmask,.....

other issues: if you use tools like netconfig, rp3 to configure network
devices, settings in /etc/sysconfing/networking/devices are not getting updated

other issue: /etc/sysconfig/network-scripts/network-funcitions does look
for defaults in /etc/sysconfig/networking/default, not
/etc/sysconfig/networking/profiles/default

other issue: how to setup eth0-aliases?????

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install system
2.start neat
3.try to set netmask , checking through all tabs.

	

Actual Results:  couldnt find netmask setting possibilty/disable-swtich for
dhcpd-requestbased network setting

Expected Results:  find proper areas to define things

Additional info:

tool is fairly useless in the state it is, causes a lot of headaches for
supportengeneers. at least now all support reps do know, how to guide
customers through changing things (like for virtual webservers) 
manuyally by editing files with vi instead using tools provided by rh.
Comment 1 Harald Hoyer 2001-11-20 04:19:33 EST
> szenario: fresh installation, with selected ip-adress via dhcp
> trying to change it to a static one with need of netmask,.....

what do you want to do?

> other issues: if you use tools like netconfig, rp3 to configure network
> devices, settings in /etc/sysconfing/networking/devices are not getting 
> updated

/etc/sysconfig/network-scripts/ifcfg-* are hardlinked to the one in
/etc/sysconfig/networking/profiles/default

> other issue: /etc/sysconfig/network-scripts/network-funcitions does look
> for defaults in /etc/sysconfig/networking/default, not
> /etc/sysconfig/networking/profiles/default

/etc/sysconfig/network-scripts/ifcfg-* are hardlinked to the one in
/etc/sysconfig/networking/profiles/default

>other issue: how to setup eth0-aliases?????

add Ethernet/Tab Hardware Device/Enable Device Alias support

> 1.install system
> 2.start neat
> 3.try to set netmask , checking through all tabs.
>     
> Actual Results:  couldnt find netmask setting possibilty/disable-swtich for
> dhcpd-requestbased network setting
>
> Expected Results:  find proper areas to define things

Tab Devices/Edit/Tab Protocols/Edit/Tab TCP/IP
Comment 2 Thomas Ploss 2001-11-20 04:28:30 EST
harald,

please test the following: 

install the system using dhcp
run neat
(but dont do anything)
run netconfig
compare files.

on my system they were different

i will run more detailed tests after Dec 2nd

thomas
Comment 3 Michael Karakashian 2001-11-20 12:25:50 EST
I tested neat on a Dell 2300 sytem in the office and performed the
following test:

1. Installed 7.2 with DHCP networking.
2. After install ran neat to create /etc/sysconfig/networking directory
and contents
3. Ran netconfig to change the networking settings from DHCP to static
(used an unused ip for static test)
4. Performed a "service network start | stop" to test the new settings,
but the original dhcp settings held.
5. A reboot of the system setup the machine with the new static
environment.

Michael

Note You need to log in before you can comment on or make changes to this bug.